package commands;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.FacadeDAO;

public class TurmaDesalocarProfessor extends AbstractCommand {

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, HttpServlet servlet) {

		String msg = null;
		String idTurmaString = request.getParameter("idTurma");
		if ("".equals(idTurmaString)) {
			msg = "Turma não foi informada.";
		} else {
			long idTurma = Long.parseLong(idTurmaString);

			System.out.println("vai alocar");
			FacadeDAO.getInstance(servlet).getTurmaDAO().desalocarProfessor(
					idTurma);
			msg = "Desalocação efetuada com sucesso!";
		}
		request.setAttribute("mensagem", msg);
		RequestDispatcher rd = request
				.getRequestDispatcher("Command?comando=TurmaPrepararListaAlocacaoProfessor");
		try {
			rd.forward(request, response);
		} catch (IOException e) {
			e.printStackTrace();
		} catch (ServletException e) {
			// TODO Bloco catch gerado automaticamente
			e.printStackTrace();
		}
	}

}
